Index: kernel/generic/src/ipc/sysipc.c
===================================================================
--- kernel/generic/src/ipc/sysipc.c	(revision eb13ef8440f5e94338275db8fd83e4e513c82ab1)
+++ kernel/generic/src/ipc/sysipc.c	(revision fafb8e5dc8a80c87cf66270ca6f93d574a95471c)
@@ -131,5 +131,5 @@
 static inline bool answer_need_old(call_t *call)
 {
-	switch (IPC_GET_IMETHOD(&call->data)) {
+	switch (ipc_get_imethod(&call->data)) {
 	case IPC_M_CONNECT_TO_ME:
 	case IPC_M_CONNECT_ME_TO:
@@ -192,5 +192,5 @@
 	spinlock_unlock(&answer->forget_lock);
 
-	if ((errno_t) IPC_GET_RETVAL(&answer->data) == EHANGUP) {
+	if ((errno_t) ipc_get_retval(&answer->data) == EHANGUP) {
 		phone_t *phone = answer->caller_phone;
 		mutex_lock(&phone->lock);
@@ -223,5 +223,5 @@
 static errno_t request_preprocess(call_t *call, phone_t *phone)
 {
-	call->request_method = IPC_GET_IMETHOD(&call->data);
+	call->request_method = ipc_get_imethod(&call->data);
 	return SYSIPC_OP(request_preprocess, call, phone);
 }
@@ -238,7 +238,7 @@
 static void process_answer(call_t *call)
 {
-	if (((errno_t) IPC_GET_RETVAL(&call->data) == EHANGUP) &&
+	if (((errno_t) ipc_get_retval(&call->data) == EHANGUP) &&
 	    (call->flags & IPC_CALL_FORWARDED))
-		IPC_SET_RETVAL(&call->data, EFORWARD);
+		ipc_set_retval(&call->data, EFORWARD);
 
 	SYSIPC_OP(answer_process, call);
@@ -326,5 +326,5 @@
 		process_answer(call);
 	} else
-		IPC_SET_RETVAL(&call->data, rc);
+		ipc_set_retval(&call->data, rc);
 
 	memcpy(data->args, call->data.args, sizeof(data->args));
@@ -385,8 +385,8 @@
 	}
 
-	IPC_SET_IMETHOD(&call->data, imethod);
-	IPC_SET_ARG1(&call->data, arg1);
-	IPC_SET_ARG2(&call->data, arg2);
-	IPC_SET_ARG3(&call->data, arg3);
+	ipc_set_imethod(&call->data, imethod);
+	ipc_set_arg1(&call->data, arg1);
+	ipc_set_arg2(&call->data, arg2);
+	ipc_set_arg3(&call->data, arg3);
 
 	/*
@@ -394,5 +394,5 @@
 	 * the limits of the fast version.
 	 */
-	IPC_SET_ARG5(&call->data, 0);
+	ipc_set_arg5(&call->data, 0);
 
 	/* Set the user-defined label */
@@ -505,5 +505,5 @@
 	}
 
-	if (!method_is_forwardable(IPC_GET_IMETHOD(&call->data))) {
+	if (!method_is_forwardable(ipc_get_imethod(&call->data))) {
 		rc = EPERM;
 		goto error;
@@ -518,20 +518,20 @@
 	 * If the interface and method is immutable, don't change anything.
 	 */
-	if (!method_is_immutable(IPC_GET_IMETHOD(&call->data))) {
-		if (method_is_system(IPC_GET_IMETHOD(&call->data))) {
-			if (IPC_GET_IMETHOD(&call->data) ==
+	if (!method_is_immutable(ipc_get_imethod(&call->data))) {
+		if (method_is_system(ipc_get_imethod(&call->data))) {
+			if (ipc_get_imethod(&call->data) ==
 			    IPC_M_CONNECT_TO_ME) {
 				kobject_put((kobject_t *) call->priv);
 				call->priv = 0;
 				cap_free(TASK,
-				    (cap_handle_t) IPC_GET_ARG5(&call->data));
+				    (cap_handle_t) ipc_get_arg5(&call->data));
 			}
 
-			IPC_SET_ARG1(&call->data, imethod);
-			IPC_SET_ARG2(&call->data, arg1);
-			IPC_SET_ARG3(&call->data, arg2);
+			ipc_set_arg1(&call->data, imethod);
+			ipc_set_arg2(&call->data, arg1);
+			ipc_set_arg3(&call->data, arg2);
 
 			if (slow)
-				IPC_SET_ARG4(&call->data, arg3);
+				ipc_set_arg4(&call->data, arg3);
 
 			/*
@@ -540,11 +540,11 @@
 			 */
 		} else {
-			IPC_SET_IMETHOD(&call->data, imethod);
-			IPC_SET_ARG1(&call->data, arg1);
-			IPC_SET_ARG2(&call->data, arg2);
+			ipc_set_imethod(&call->data, imethod);
+			ipc_set_arg1(&call->data, arg1);
+			ipc_set_arg2(&call->data, arg2);
 			if (slow) {
-				IPC_SET_ARG3(&call->data, arg3);
-				IPC_SET_ARG4(&call->data, arg4);
-				IPC_SET_ARG5(&call->data, arg5);
+				ipc_set_arg3(&call->data, arg3);
+				ipc_set_arg4(&call->data, arg4);
+				ipc_set_arg5(&call->data, arg5);
 			}
 		}
@@ -563,5 +563,5 @@
 
 error:
-	IPC_SET_RETVAL(&call->data, EFORWARD);
+	ipc_set_retval(&call->data, EFORWARD);
 	(void) answer_preprocess(call, need_old ? &old : NULL);
 	if (after_forward)
@@ -632,7 +632,7 @@
 
 	return sys_ipc_forward_common(chandle, phandle,
-	    IPC_GET_IMETHOD(&newdata), IPC_GET_ARG1(&newdata),
-	    IPC_GET_ARG2(&newdata), IPC_GET_ARG3(&newdata),
-	    IPC_GET_ARG4(&newdata), IPC_GET_ARG5(&newdata), mode, true);
+	    ipc_get_imethod(&newdata), ipc_get_arg1(&newdata),
+	    ipc_get_arg2(&newdata), ipc_get_arg3(&newdata),
+	    ipc_get_arg4(&newdata), ipc_get_arg5(&newdata), mode, true);
 }
 
@@ -671,9 +671,9 @@
 		saved = false;
 
-	IPC_SET_RETVAL(&call->data, retval);
-	IPC_SET_ARG1(&call->data, arg1);
-	IPC_SET_ARG2(&call->data, arg2);
-	IPC_SET_ARG3(&call->data, arg3);
-	IPC_SET_ARG4(&call->data, arg4);
+	ipc_set_retval(&call->data, retval);
+	ipc_set_arg1(&call->data, arg1);
+	ipc_set_arg2(&call->data, arg2);
+	ipc_set_arg3(&call->data, arg3);
+	ipc_set_arg4(&call->data, arg4);
 
 	/*
@@ -681,5 +681,5 @@
 	 * the limits of the fast version.
 	 */
-	IPC_SET_ARG5(&call->data, 0);
+	ipc_set_arg5(&call->data, 0);
 	errno_t rc = answer_preprocess(call, saved ? &saved_data : NULL);
 
@@ -858,5 +858,5 @@
 		saved = false;
 
-	IPC_SET_RETVAL(&call->data, EPARTY);
+	ipc_set_retval(&call->data, EPARTY);
 	(void) answer_preprocess(call, saved ? &saved_data : NULL);
 	call->flags |= IPC_CALL_AUTO_REPLY;
